Bug 855402 - Fedora 17 linux 3.5 unexpected logout after resume from suspend or hibernate
Fedora 17 linux 3.5 unexpected logout after resume from suspend or hibernate
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 11:49 EDT by Chad
Modified: 2013-03-28 10:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 10:03:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log Exceprt (2.97 KB, text/plain)
2012-09-21 16:31 EDT, David Wilkins
no flags Details

  None (edit)
Description Chad 2012-09-07 11:49:31 EDT
Description of problem:
I booted to Fedora 17 with linux kernel 3.5.3-1.fc17.x86_64.  I suspended my computer.  On resume from suspend everything was fine for about 10 seconds.  Then the screen went black, and it returned me to the login screen.  I lost all of my open applications and unsaved data.  This has happened multiplet times on resuming from suspend and hibernate.  This seems to happen only with the 3.5... kernel and not the 3.3 kernel, but I'm not completely positive about that.   This is on a 1 year old Lenovo ThinkPad Edge E420 with Intel Core i5 quad core processor.  I have 4 gb of ram and 4 gb swap partition.  

Version-Release number of selected component (if applicable):
linux kernel 3.5

How reproducible:
yes, but inconsistently

Steps to Reproduce:
1. suspend or hibernate
2. resume
3. Sometimes things appear to be fine. Then after a few seconds, the screen will go black, then return to a login screen, losing all unsaved data and open applications.  Sometimes it actually works fine.  
  
Actual results:
logout and return to login screen after suspend/hibernate resume

Expected results:
normal resume with no logout 

Additional info:
This is related to 
https://bugzilla.redhat.com/show_bug.cgi?id=853756
Comment 1 David Wilkins 2012-09-21 16:30:07 EDT
I have this issue on a Thinkpad T420.

Seems to happen after suspend and when switching desktops

Linux t420e 3.5.3-1.fc17.i686.PAE #1 SMP Wed Aug 29 19:04:57 UTC 2012 i686 i686 i386 GNU/Linux
[dwilkins@t420e:~]$ lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE 802.11b/g/n WiFi Adapter (rev 01)
0d:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 08)
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 04)
[dwilkins@t420e:~]$ lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 04f2:b221 Chicony Electronics Co., Ltd 
Bus 002 Device 013: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Log excerpt attached
Comment 2 David Wilkins 2012-09-21 16:31:00 EDT
Created attachment 615632 [details]
Log Exceprt

Log excerpt from around the time that the logout / crash happened
Comment 3 Josh Boyer 2013-03-12 16:27:59 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 4 Josh Boyer 2013-03-28 10:03:31 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.